org.apache.poi.sl.usermodel

## Interface Comment

- All Known Implementing Classes:
    HSLFComment, XSLFComment

      public interface Comment

  Common interface for comments
  Since:
    POI 4.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()` Get the Author of this comment
    `java.lang.String` | `getAuthorInitials()` Get the Author's Initials of this comment
    `java.util.Date` | `getDate()` Gets the date the comment was made.
    `java.awt.geom.Point2D` | `getOffset()` Gets the offset of the comment on the page.
    `java.lang.String` | `getText()` Get the text of this comment
    `void` | `setAuthor(java.lang.String author)` Set the Author of this comment.
    `void` | `setAuthorInitials(java.lang.String initials)` Set the Author's Initials of this comment.
    `void` | `setDate(java.util.Date date)` Sets the date the comment was made.
    `void` | `setOffset(java.awt.geom.Point2D offset)` Sets the offset of the comment on the page.
    `void` | `setText(java.lang.String text)` Set the text of this comment

- - ### Method Detail

    - #### getAuthor

          java.lang.String getAuthor()

      Get the Author of this comment

    - #### setAuthor

          void setAuthor(java.lang.String author)

      Set the Author of this comment. if the author wasn't registered before, create a new entry

    - #### getAuthorInitials

          java.lang.String getAuthorInitials()

      Get the Author's Initials of this comment

    - #### setAuthorInitials

          void setAuthorInitials(java.lang.String initials)

      Set the Author's Initials of this comment. if the author wasn't registered before via `setAuthor(String)` this has no effect

    - #### getText

          java.lang.String getText()

      Get the text of this comment

    - #### setText

          void setText(java.lang.String text)

      Set the text of this comment

    - #### getDate

          java.util.Date getDate()

      Gets the date the comment was made.
      Returns:
        the comment date.

    - #### setDate

          void setDate(java.util.Date date)

      Sets the date the comment was made.
      Parameters:
        `date` - the comment date.

    - #### getOffset

          java.awt.geom.Point2D getOffset()

      Gets the offset of the comment on the page.
      Returns:
        the offset.

    - #### setOffset

          void setOffset(java.awt.geom.Point2D offset)

      Sets the offset of the comment on the page.
      Parameters:
        `offset` - the offset.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.